/* ==========================================================================
全体のレイアウト
========================================================================== */
body {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  line-height: 1.6;
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-style: normal;
  color: var(--primary-text-color);
  font-size: var(--font-size-medium);
}

.bg-pink {
  background: var(--secondary-bg-color);
}

.bg-white {
  background: var(--primary-bg-color);
}

.bg-yellow {
  background: var(--accent-bg-color);
}

.bg-pale-pink {
  background: var(--soft-bg-color);
}

.bg-deep-pink {
  background: var(--deep-bg-color);
}

.radius {
  border-radius: 1rem;
}

.text-color-white {
  color: var(--secondary-text-color);
}

.text-color-deeppink {
  color: var(--deep-text-color);
}

/* ==========================================================================
ヘッダー
========================================================================== */
header {
  padding: 1em;
}

header a {
  display: inline-block;
  padding: 0;
  margin: 0;
}

.header-logo {
  display: block;
  max-width: 35%;
  height: auto;
  padding: 10px;
}

/* ==========================================================================
メイン・共通
========================================================================== */
main {
  padding-bottom: 3rem;
  flex-grow: 1;
}

.main-image {
  width: 100%;
  height: auto;
}

h2 {
  font-size: var(--font-size-xlarge);
  font-weight: 700;
  color: var(--accent-text-color);
}

h3 {
  font-size: var(--font-size-base);
}

.section-padding {
  padding: 1.2rem;
  max-width: 960px;
  margin: 0 auto;
}

.contents p {
  margin-bottom: 1.5rem;
}

.contents p:last-child {
  margin-bottom: 0;
}

.event-catch {
  font-size: clamp(1.3rem, 4.5vw, 2.8rem);
}

.event-date {
  font-size: clamp(1.2rem, 3.3vw, 1.8rem);
}

.ryoukin {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  border-spacing: 0;
}

.ryoukin th {
  padding: 10px;
  background: var(--cool-bg-color);
  border: solid 1px var(--dark-text-color);
}

.ryoukin td {
  padding: 10px;
  border: solid 1px var(--dark-text-color);
}

.ryoukin td:first-child {
  background: var(--cool-bg-color);
}

/* ==========================================================================
フォント（Googleフォント）
========================================================================== */

.zen-maru-gothic-light {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.zen-maru-gothic-regular {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.zen-maru-gothic-medium {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.zen-maru-gothic-bold {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.zen-maru-gothic-black {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 900;
  font-style: normal;
}


/* ==========================================================================
スポンサー
========================================================================== */

.banner-list,.banner-list-2 {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  list-style: none;
  padding: 0;
  margin: 0 auto;
  max-width: 1000px;
}

.banner-list li {
  width: calc(50% - 8px);
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  padding: 10px;
}

.banner-list-2 li {
  width: calc(40% - 8px);
  display: flex;
  align-items: center;
  justify-content: start;
  box-sizing: border-box;
  padding: 10px;
}

.banner-list img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  display: block;
}

/* ==========================================================================
埋め込み動画
========================================================================== */

.vid_contents {
  width: 100%;
  text-align: center;
  margin-inline: auto;
}

.vid_main {
  width: 95%;
  max-width: 920px;
  margin: 0 auto;
}

/* ==========================================================================
ボタン
========================================================================== */

.button {
  background-color: var(--deep-bg-color);
  border-radius: 50px;
  color: #fff;
  padding: 8px 35px;
  text-decoration: none;
  display: inline-block;
  text-align: center;
}

/* ==========================================================================
フッター
========================================================================== */

footer {
  width: 100%;
  padding: 2rem 1rem;
  text-align: center;
  background: var(--dark-bg-color);
}

footer p {
  font-size: var(--font-size-small);
  color: var(--secondary-text-color);
  line-height: 1.5;
  white-space: pre-line; /* スマホでは改行を有効にする */
}

footer a {
  text-decoration: none;
}

/* ==========================================================================
タブレット
========================================================================== */
@media (min-width: 768px) {
  
  h2 {
    font-size: var(--font-size-large);
  }

  .header-logo {
    width: 150px;
  }

  .section-padding {
    padding: 1.5rem 4rem;
  }

  table th,
  table td {
    padding: 0.75rem 0.5rem;
  }

  .banner-list li {
  width: calc((100% - 48px) / 4);
  flex: 0 0 auto; 
  }

  .banner-list-2 li {
  width: calc((100% - 80px) / 4);
  flex: 0 0 auto; 
  }

    .button {
    padding: 15px 60px; /* PCは元のまま */
  }
}

/* ==========================================================================
ノートPC向けスタイル
========================================================================== */
@media (min-width: 1024px) {
  .section-padding {
    padding: 1.5rem 5rem;
  }

  .eventdates p {
    font-size: 30px;
    line-height: 1.5;
  }
}
/* ==========================================================================
標準ディスプレイ向けスタイル
========================================================================== */
@media (min-width: 1280px) {
}
/* ==========================================================================
ワイドスクリーン向けスタイル
========================================================================== */
@media (min-width: 1440px) {
}
/* ==========================================================================
4k向けスタイル
========================================================================== */
@media (min-width: 1920px) {
}
